Page MenuHomePhabricator

Access to usergroups for Marshall Miller
Closed, ResolvedPublic

Description

Hi --

I'm a full-time WMF product manager, and I would like to do some of my own data work, under the watchful sponsorship of @mpopov. I would like to be in the analytics-privatedata-users and researchers groups.

As a full-time employee, I believe I've signed the right NDA, and I have also signed this document: https://phabricator.wikimedia.org/L3

My Wikitech username is "MMiller" and my public key is:

ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAACAQDNPlFL254lviLfkoOv+E8qTftETMs2dDt5VJQwlHeDKmadd46U2Yd71UUR+GviN5zs6RBnb5NGTABhIOZ+XgRTq+Rjzz0hC1O0YrbTBofN3vp4/rxiYxOoE3sfJRDHVG2daKePMAA12vX/W1slqWF1BWeV5/r61gvcVBHq98GbqQ4cl1h+A2Y/xJTwZy6toarj+uN75T8XlmRxyiLd4UEmAvaS3W6cL02VJL2cooSt352ah3Jn1Nafti9nUReXl7+b0N3FnTSX8SDFrmfnRoxuvjx+/xI5ALCUbODFqosjJCJ0IqzVFvuOJ++eJAsNX/oh3E99D0HkKbFsb3bCN5bYZPFYWI2hVP5K9BFURLpmWFCCzO+kE2bub/ekyo/jLRHfRK2eDCvxSaYRU1XM7OMXCGZ3FjuvY0nLVEDr022rs4YolQeiinstVEdNIOCPSxAbTqYvmQdWs4pnh8riJoGLca85YobfUzm3IX8qDlOXfQZewERJSSkKY4z++b7Np3+goQ6wEo57cp5K7i81/18jawId58ESEQ3TnoTUuY6ibobTRBxfSUdW+JAOQlapJldemw1QtS3yK17CLP5PO9LMJCqVgGROO/YRUTwaL8pA7fcq3xoubUXDhLBeNlsFuddteQUbpsCsG5ymh4gxEhASmHCvSULYEbHFoHnanfSJnQ== mmiller@wikimedia.org

@DannyH -- as my manager, could you please approve my access?

Thank you, and please let me know what else is needed,

Marshall

Event Timeline

Restricted Application added a project: Operations. · View Herald TranscriptMay 11 2018, 10:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Dzahn triaged this task as Normal priority.May 11 2018, 10:59 PM
Dzahn added a project: Analytics.
Dzahn added a subscriber: Nuria.

I approve Marshall's access.

Approved on my end too.

fdans moved this task from Incoming to Radar on the Analytics board.May 14 2018, 3:54 PM
Dzahn assigned this task to herron.May 14 2018, 7:59 PM

Change 433083 had a related patch set uploaded (by Herron; owner: Herron):
[operations/puppet@production] admin: add mmiller to analytics-privatedata-users and researchers

https://gerrit.wikimedia.org/r/433083

Change 433083 merged by Herron:
[operations/puppet@production] admin: add mmiller to analytics-privatedata-users and researchers

https://gerrit.wikimedia.org/r/433083

herron closed this task as Resolved.May 15 2018, 4:18 PM

Ok @MMiller_WMF, you should be good to go! In case you haven't seen them already, there are instructions at https://wikitech.wikimedia.org/wiki/Production_shell_access#Setting_up_your_SSH_config explaining how to set up your ssh client to jump through one of our bastion hosts when accessing the prod environment. Once that is set up you should be able to ssh as user mmiller to the relevant systems. For example stat1005.eqiad.wmnet

I'll transition this task to resolved now, but if you have any questions please don't hesitate to follow up!

Thank you! I'm in.

@herron @Ottomata -- I would like to use hue.wikimedia.org to query Hadoop, but it looks like my Wikitech login doesn't get me in there. Is there another login that I need?

Thank you,

Marshall

Done, try now! Use your shell username (mmiller) and your wikitech/ldap password.

Thanks @Ottomata -- it's working.

Vvjjkkii renamed this task from Access to usergroups for Marshall Miller to 52caaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed herron as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: herron; removed: gerritbot, Aklapper.
CommunityTechBot renamed this task from 52caaaaaaa to Access to usergroups for Marshall Miller.Jul 2 2018, 5:45 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to herron.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: herron.